Package org.pushingpixels.flamingo.internal.ui.common

# Class ScrollablePanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.ScrollablePanelUI

Direct Known Subclasses:
  `BasicScrollablePanelUI`

public abstract class ScrollablePanelUI extends PanelUI
UI for scrollable panel (`JScrollablePanel`).

## Constructor Summary

Constructors
Constructor
Description
`ScrollablePanelUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isShowingScrollButtons()`
`abstract void`
`scrollToIfNecessary(int startPosition, int span)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScrollablePanelUI

public ScrollablePanelUI()

## Method Details

### scrollToIfNecessary

public abstract void scrollToIfNecessary(int startPosition, int span)

### isShowingScrollButtons

public abstract boolean isShowingScrollButtons()